# Readme

### `05_matrix_output/`

Files here are outputs of subsampled vital rates or matrices for use in matrix analysis.

For each output, there is a file for low juvenile and high juvenile estimates 
(subscripts `_lojuv` and `_hijuv`).
These refer only to the seedling and juvenile survival estimates (s_s, s_j1, s_j2, s_j3).
All other vital rates are identical between these two scripts.

`all_matrices_...` files are 36 x 13500 csvs.
Each column corresponds to a matrix (stored here as a vector for space).
The parts of the script performing matrix analysis reshape the matrices into 6x6 form.
The 13500 matrices are 100 for each of five populations we analyze over 15 years.

`all_vital_rates_...` files have just the vital rates (*not* the matrix elements).
The function `matrixFromRates()` in `00_global/functionsForLTRE.R` can reshape rows of this into matrices.

`simulated_rates_...` files have posterior estimates for vital rates fit with mixed models
(f_j3, s_s, s_j1, s_j2, s_j3, r_f)
estimated for each year under each tim since fire.
These are used in the rate decomposition scripts.
Most populations experience only one burn - substituting in these vital rates for the procedure potentially confounds year and time since fire.
This file contains estimates of vital rates for the above vital rates incorporating annual variability in these rates to the estimates of vital rates under different time since fire conditions.
They were estimated by fitting the final model with predictions for each year 2000 - 2014 at each time since fire.
This code is included in the model fitting scripts - contact scottwatsonnordstrom [at] gmail [dot] com if not working.
Because the adult vital rates (f_b, f_f, s_b, s_f) were not fit to estimate burn effects explicitly (these models failed to converge), these vital rates only have burn/post-burn rates estimated for the years where burns were observed.
