# Readme

### `06_analysis_scripts`

Scripts for performing analysis with matrices and vital rates beyond fitting model. 

All scripts rely heavily on R packages `dplyr` and `tidyr`.
Original analysis was performed using R 3.5.0 and `dplyr 0.7.8`, in February - April 2019.

`adult_rate_permutation_tests.R`
Script for permutation tests of adult vital rates (s_b, s_f, f_b, f_f)
assessing differences in vital rates between time-since-fire categories.
This script reads in posterior estimates from
`03_vital_rate_posteriors/adult_rates_bayesian_original.csv`
and prints results from the test to the console.
It does not export any files.
The results from the original analysis are included as a comment at the end of the script.

`stochastic_lambda_...`
These scripts calculate the stochastic population growth rate across a several annual burn probabilities.
There is one for each juvenile survival dataset (high and low) as denoted by suffixes.
They read in both vital rate lists (`05_matrix_output/all_vital_rates_...`)
and matrices (`05_matrix_output/all_matrices_...`).
Each of these scripts produce an output CSV with growth rates at varying burn frequencies for each population
`07_analysis_outputs/growth_by_burn_freq_...`.
Data from this analysis is used to create Figure 4 in the paper.

`stochastic_ratedecomposition_...`
These scripts perform the rate decomposition procedure to estimate the effects of fire-induced changes in each individual vital rate on overall population growth rates.
As with the stochastic growth rate analysis, there is one script for each of the juvenile survival datasets.
They read in the vital rate lists (`05_matrix_output/all_vital_rates...`),
the matrix files (`05_matrix_output/all_matrices...`)
and the simulated vital rates (`05_matrix_output/simulated_vital_rates...`)
Each of these scripts puts out an output CSV with a rate contribution (r_i - see Methods) for each vital rate in each population at each of three annual burn probabilities.
`07_analysis_outputs/rate_decompositon_output_...`
Data from this analysis is used to create Figure 5 in the paper.
Note that because of the very large number of combinations to run through this script is very time consuming.
