# Readme

### `07_analysis_outputs`

Outputs for two matrix analyses. All in CSV form.
For each of the output scrpts, there is one file for analysis performed with the high juvenile survival dataset and another with the low survival dataset.

`growth_by_burn_freq_...` is stochastic population growth rates for each population at burn frequencies 0%, 10%, ..., 50%.
Run in scripts `06_analysis_scripts/stochastic_lambda_...`.
This file is read in to `08_figure_scripts/figure4.R` for Figure 4.
Fields:
- `site`: population (NNWLF = NNW, RRXDC = RRX in paper)
- `freq`: annual probability of burning in chronosequence used to estimate growth rates
- `mean`: mean of log population growth (`log(N_1500 / N_501)`) over 500 trials
- `sd`: standard deviation of log population growth over 500 trials

`rate_decompostion_output_...` is output from the rate decomposition procedure
Run in scripts `06_analysis_scripts/stochastic_ratedecomposition_...`.
This file is read in to `08_figure_scripts/figure5.R` to make Figure 5.
Fields:
- `site`: population (NNWLF = NNW, RRXDC = RRX in paper)
- `prob`: annual probability of burning in chronosequence used to estimate growth rates
- `rate`: vital rate (see note below)
- `median`: median of rate contribution, `r_i`, for the given rate, over 500 trials
- `mad`: mean average devation of `r_i` in 500 trials

Because the distributions of estimated rate contrbutions are approximately normal, the median is the same as the mean to a couple of decimal points. 

Note: for rate, with the low juvenile survival dataset, we did not perform the procedure for juvenile survival rates s_s, s_j1, s_j2, s_j3 because we did not estimate the effects of burning with this dataset.
